JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
UnitTestRunner Member List

This is the complete list of members for UnitTestRunner, including all inherited members.

getNumResults() const noexcept | UnitTestRunner |
getResult(int index) const noexcept | UnitTestRunner |
logMessage(const String &message) | UnitTestRunner | protected virtual
resultsUpdated() | UnitTestRunner | protected virtual
runAllTests(int64 randomSeed=0) | UnitTestRunner |
runTests(const Array< UnitTest * > &tests, int64 randomSeed=0) | UnitTestRunner |
runTestsInCategory(const String &category, int64 randomSeed=0) | UnitTestRunner |
setAssertOnFailure(bool shouldAssert) noexcept | UnitTestRunner |
setPassesAreLogged(bool shouldDisplayPasses) noexcept | UnitTestRunner |
shouldAbortTests() | UnitTestRunner | protected virtual
UnitTestRunner() | UnitTestRunner |
~UnitTestRunner() | UnitTestRunner | virtual